Subject: Re: bug#19981: 24.4; Flaws in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Mar 2015 18:34:34 +0200

> Date: Tue, 03 Mar 2015 00:06:21 +0800
> From: Chen Xiaodong <[email-masked]>
> 
> 
> Compared with the command "dir" in shells of Window 2000/XP/7, as a 
> novice to Eshell, I think there are big inconveniences in it.
> (1)I can't get only directories listed with "ls -d" ("dir /ad" in 
> Windows), likewise, can't get only files listed("dir /a-d" in Windows).
> (2)I can't find out how many files there are and how much diskspace 
> available with "ls" nor "du". These two items usually comes with "dir" 
> in Windows.
> 
> Should there be some improvements?

You can have all that in Eshell with "cmd /c dir ...".

The built-in Eshell commands emulate their Unix namesakes, so they
present features in those commands.